Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.shrinkwrap.descriptor.api.persistence20
Enum PersistenceUnitTransactionType

    java.lang.Object
      java.lang.Enum<PersistenceUnitTransactionType>
          org.jboss.shrinkwrap.descriptor.api.persistence20.PersistenceUnitTransactionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PersistenceUnitTransactionType>

    public enum PersistenceUnitTransactionType

extends java.lang.Enum<PersistenceUnitTransactionType>

This class implements the `persistence-unit-transaction-type` xsd type

Original Documentation:

public enum PersistenceUnitTransactionType {JTA, RESOURCE_LOCAL};

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Enum Constant Summary
`_JTA`
`_RESOURCE_LOCAL`

Method Summary
`static PersistenceUnitTransactionType` | `getFromStringValue(java.lang.String value)`
`java.lang.String` | `toString()`
`static PersistenceUnitTransactionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PersistenceUnitTransactionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### _JTA

    public static final PersistenceUnitTransactionType _JTA

### _RESOURCE_LOCAL

    public static final PersistenceUnitTransactionType _RESOURCE_LOCAL

Method Detail

### values

    public static PersistenceUnitTransactionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PersistenceUnitTransactionType c : PersistenceUnitTransactionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PersistenceUnitTransactionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<PersistenceUnitTransactionType>`

### getFromStringValue

    public static PersistenceUnitTransactionType getFromStringValue(java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD